## org.apache.solr.common.cloud
Class Aliases

    java.lang.Object
      org.apache.solr.common.cloud.Aliases

    public class Aliases

extends Object

Constructor Summary
`Aliases()`
`Aliases(Map<String,Map<String,String>> aliasMap)`

Method Summary
`int` `collectionAliasSize()`
`Map<String,Map<String,String>>` `getAliasMap()`
`String` `getCollectionAlias(String collectionName)`
`Map<String,String>` `getCollectionAliasMap()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Aliases

    public Aliases(Map<String,Map<String,String>> aliasMap)

### Aliases

    public Aliases()

Method Detail

### getCollectionAliasMap

    public Map<String,String> getCollectionAliasMap()

### getAliasMap

    public Map<String,Map<String,String>> getAliasMap()

### collectionAliasSize

    public int collectionAliasSize()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getCollectionAlias

    public String getCollectionAlias(String collectionName)

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.